package cn.com.ctop.crawler.modules.core.service;

import cn.com.ctop.crawler.modules.account.entity.KuaishouAdAccount;
import cn.com.ctop.crawler.modules.account.entity.KuaishouAppAccount;
import cn.com.ctop.crawler.modules.account.entity.KuaishouIosAccount;

public interface IKuaishouCrawlerService {
    public String getVideoFeeds(KuaishouAppAccount kuaishouAppAccount,Integer page);
    public String getVideoFeeds(KuaishouIosAccount kuaishouIosAccount);
    public String getAdAccountVideoFeeds(KuaishouAdAccount kuaishouAdAccount,String pcursor);
    public String getAdFeeds();

    public String getUserProfile(Long userId);
}
